/// <reference types="react" />
import { VirtualOverflowCalcVisibleRectFn } from ".";
export type VirtualListXProps<ItemT> = {
    items: ItemT[];
    itemWidth: number;
    itemKey: (item: ItemT, itemIndex: number) => string;
    overscanItemsCount?: number;
    renderItem: (item: ItemT, itemIndex: number, contentTopOffset: number) => React.ReactNode;
    calcVisibleRect?: VirtualOverflowCalcVisibleRectFn;
};
export declare function VirtualListX<ItemT>(props: VirtualListXProps<ItemT>): import("react/jsx-runtime").JSX.Element;
