import { ReactNode } from "react";
type ImmFnParams = {
    draw: (jsx: ReactNode) => void;
    drawInput: <T, DefaultValueT extends T | undefined>(params: {
        key: string;
        from: (value: string) => T;
        to?: (value: DefaultValueT) => string;
        defaultValue?: DefaultValueT;
    }) => T;
    requestJson: <T>(params: {
        method: string;
        url: string;
        headers?: Record<string, string>;
    }) => T | undefined;
    state: <T, DefaultValueT extends T | undefined>(key: string, defaultValue?: DefaultValueT | (() => DefaultValueT)) => [DefaultValueT, (update: T | ((prevValue: DefaultValueT) => T)) => void];
};
type ImmFn = (params: ImmFnParams) => void;
export declare const imm: (fn: ImmFn) => () => import("react/jsx-runtime").JSX.Element;
export declare const AAA: () => import("react/jsx-runtime").JSX.Element;
export {};
