/// <reference types="react" />
import { VirtualOverflowCalcVisibleRectFn } from ".";
export type VirtualGridProps<ItemT> = {
    items: ItemT[][];
    columnsNum: number;
    itemWidth: number;
    itemHeight: number;
    itemKey: (item: ItemT, itemIndexX: number, itemIndexY: number) => string;
    overscanItemsCount?: number;
    renderItem: (item: ItemT, itemIndexX: number, leftOffsetPx: number, itemIndexY: number, topOffsetPx: number) => React.ReactNode;
    calcVisibleRect?: VirtualOverflowCalcVisibleRectFn;
};
export declare function VirtualGrid<ItemT>(props: VirtualGridProps<ItemT>): import("react/jsx-runtime").JSX.Element;
