/// <reference types="react" />
import { VirtualOverflowCalcVisibleRectFn } from ".";
export type VirtualListYProps<ItemT> = {
    items: ItemT[];
    itemHeight: number;
    itemKey: (item: ItemT, itemIndex: number) => string;
    overscanItemsCount?: number;
    renderItem: (item: ItemT, itemIndex: number, contentTopOffset: number) => React.ReactNode;
    calcVisibleRect?: VirtualOverflowCalcVisibleRectFn;
};
export declare function VirtualListY<ItemT>(props: VirtualListYProps<ItemT>): import("react/jsx-runtime").JSX.Element;
