export declare namespace virtualOverflowUtils {
    function findScrollContainerTop(el: HTMLElement, predicate?: (el: HTMLElement, hasXoverflow: boolean, hasYoverflow: boolean, computedStyled: CSSStyleDeclaration) => boolean): HTMLElement | null;
    function findScrollContainerTopStack(el: HTMLElement, predicate?: (el: HTMLElement, hasXoverflow: boolean, hasYoverflow: boolean, computedStyled: CSSStyleDeclaration) => boolean): HTMLElement[];
    function calcVisibleRectWithStack(element: HTMLElement, stackContainers: HTMLElement[]): {
        top: number;
        left: number;
        bottom: number;
        right: number;
        contentOffsetTop: number;
        contentOffsetLeft: number;
        contentVisibleHeight: number;
        contentVisibleWidth: number;
    };
    function calcVisibleRectOverflowed(el: HTMLElement): {
        top: number;
        left: number;
        bottom: number;
        right: number;
        contentOffsetTop: number;
        contentOffsetLeft: number;
        contentVisibleHeight: number;
        contentVisibleWidth: number;
    };
}
